import { VueNode } from '../../_util/type';
import { DefaultOptionType, FieldNames } from '../TreeSelect';
import { ChangeEventExtra, DataNode, RawValueType } from '../interface';
export declare function convertChildrenToData(rootNodes: VueNode[]): DataNode[];
export declare function fillLegacyProps(dataNode: DataNode): any;
export declare function fillAdditionalInfo(extra: ChangeEventExtra, triggerValue: RawValueType, checkedValues: RawValueType[], treeData: DefaultOptionType[], showPosition: boolean, fieldNames: FieldNames): void;
